<%= form_for @job, remote: :true do |f| %>
  <% if @job.errors.any? %>
    <ul class='errors'>
      <% @job.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
    </ul>
  <% end %>
  <div class="form-group">
    <div class="form-group col-md-12">
      <%= f.label :title %><br />
    	<%= f.text_field :title, class: 'form-control', placeholder: 'Enter Job Title' %>
    </div>
    <div class="form-group col-md-12 mt-4">
      <%= f.label :posting_for %><br />
    	<%= f.radio_button:posting_for,'own company', :checked => (f.object.posting_for == "own company") %><label>Your Company/Organization</label>
			<%= f.radio_button:posting_for,'other company', :checked => (f.object.posting_for != "other company") %><label>Other Company/Organization</label>
    </div>
		<div class="form-group col-md-12 mt-4">
			<%= f.select :speciality_id, 
					options_for_select(Speciality.pluck(:name, :id), f.object.speciality_id),
					{prompt: 'Select Speciality'}, { :class => 'form-control' } 
			%>
		</div>
		<div class="form-group col-md-12 mt-4">
			<%= f.select :speciality_id, 
					options_for_select([['Full Time', 'full_time'],['Part Time', 'part_time'],['Locum', 'locum'],['Per Time', 'per_time'],['Contract', 'contract'], ['Fellowship', 'fellowship'], ['Telemedicine', 'telemedicine'], ['Residency', 'residency'], ['Internship', 'internship']], f.object.speciality_id),
					{prompt: 'Select Employment Type'}, { :class => 'form-control' } 
			%>
		</div>
		<div class="form-group col-md-12 mt-4">
      <%= f.label :description %><br />
    	<%= f.text_area :description, class: 'form-control tinymce', placeholder: 'Enter Job Title' %>
    </div>
	<div class="form-group col-md-12 mt-4">
      <%= f.label :qualification %><br />
    	<%= f.text_area :qualification, class: 'form-control tinymce', placeholder: 'Enter Qualification' %>
    </div>
	<div class="form-group col-md-12 mt-4">
      	<%= f.label :experience_in_years %><br />
		<%= f.text_field :experience_in_years, class: 'form-control', placeholder: 'Enter expirience in years(0 for freshers)' %>
    </div>
	<div class="form-group col-md-12 mt-4">
		<%= f.select :level, 
				options_for_select([['Intern','intern'],['Junior','junior'],['Intermediate','intermediate'],['Senior','senior']], f.object.job_type),
				{prompt: 'Level'}, { :class => 'form-control' } 
		%>
	</div>
	<div class="form-group col-md-12 mt-4">
      <%= f.label :about_organization %><br />
    	<%= f.text_area :about_organization, class: 'form-control tinymce', placeholder: 'Enter Organization Details' %>
    </div>
	<div class="form-group col-md-12 mt-4">
      <%= f.label :enter_website_link %><br />
    	<%= f.text_field :website_link, class: 'form-control', placeholder: 'Enter Website Link' %>
    </div>
		<div class="form-group col-md-12 mt-4">
			<%= f.select :job_type, 
					options_for_select([['Anyone','anyone'],['Connections','connections'],['Groups','groups']], f.object.job_type),
					{prompt: 'Post for'}, { :class => 'form-control' } 
			%>
		</div>
		<div class="form-group col-md-12 mt-4">
			<%= f.select :country_id, 
					options_for_select(Hash[CS.countries.invert.collect { |k, v| [ k, v.to_sym ] }].to_a, f.object.country_id),
					{prompt: 'Select country'}, { :class => 'form-control' } 
			%>
		</div>
		<div class="form-group col-md-12 mt-4">
			<%= f.select :state_id, 
					options_for_select([], f.object.state_id),
					{prompt: 'Select state'}, { :class => 'form-control' }
			%>
		</div>
		<div class="form-group col-md-12 mt-4">
			<%= f.select :city_id, 
					options_for_select([], f.object.city_id),
					{prompt: 'Select city'}, { :class => 'form-control' } 
			%>
		</div>
  </div>
<% end %>

<script>
	$('select[name="job[country_id]"]').change(function () {
		var input_state = $('select[name="job[state_id]"]');
		var input_city = $('select[name="job[city_id]"]');
		$.getJSON('/jobs/states?country=' + $(this).val(), function (data) {
			input_state.empty().append('<option value="">Select state</option>');
			input_city.empty().append('<option value="">Select city</option>');
			$.each(data, function (key, value) {
				var opt = '<option value='+ key +'>' + value + '</option>';
				input_state.append(opt);
			});
		});
	});

	$('select[name="job[state_id]"]').change(function () {
		var input_country = $('select[name="job[country_id]"]').val();
		var input_state = $('select[name="job[state_id]"]').val();
		var input_city = $('select[name="job[city_id]"]');
		$.getJSON('/jobs/cities?state=' + input_state + '&country=' + input_country, function (data) {
			input_city.empty().append('<option value="">Select city</option>');
			$.each(data, function (city, city) {
				var opt = '<option value='+ city +'>' + city + '</option>';
				input_city.append(opt);
			});
		});
	});
</script>